# Type Alias PublicLinkFn

PublicLinkFn: (
scope: Scope,
cloneConnectFn?: TranscludeFn,
options?: any,
) => Element | Node | ChildNode | Node[]

#### Type declaration

- - (
    scope: Scope,
    cloneConnectFn?: TranscludeFn,
    options?: any,
    ): Element | Node | ChildNode | Node[]

  - #### Parameters

    - scope: Scope

      Scope to link with element

    - `Optional` cloneConnectFn: TranscludeFn
    - `Optional` options: any

    #### Returns Element | Node | ChildNode | Node[]

- Defined in src/core/compile/compile.js:74